package weatherService;

import java.io.Serializable;

/** a location specification */
public class Location implements Serializable {
  /** the serial version uid */
  private static final long serialVersionUID = 0;

  /** the city */
  private String m_city;
  /** the province */
  private String m_province;
  /** the country */
  private String m_country;

  /**
   * get the city
   *
   * @return the city
   */
  public String getCity() {
    return this.m_city;
  }

  /**
   * set the city
   *
   * @param city
   *          the new city value
   */
  public void setCity(final String city) {
    this.m_city = city;
  }

  /**
   * get the province
   *
   * @return the province
   */
  public String getProvince() {
    return this.m_province;
  }

  /**
   * set the province
   *
   * @param province
   *          the new province value
   */
  public void setProvince(final String province) {
    this.m_province = province;
  }

  /**
   * get the country
   *
   * @return the country
   */
  public String getCountry() {
    return this.m_country;
  }

  /**
   * set the country
   *
   * @param country
   *          the new country value
   */
  public void setCountry(final String country) {
    this.m_country = country;
  }
}
